Gecode::Driver::ExtractStepOption< BaseSpace > Class Template Reference

Class to extract the step option value. More...

`#include <driver.hh>`

## Public Member Functions

| ExtractStepOption (const Options &opt)
| Constructor that extracts the step value.
| ExtractStepOption (BaseSpace &e)
| Constructor used for cloning.

## Detailed Description

template<class BaseSpace>
class Gecode::Driver::ExtractStepOption< BaseSpace >

Class to extract the step option value.

Definition at line 762 of file driver.hh.

## Constructor & Destructor Documentation

## ExtractStepOption() [1/2]

template<class BaseSpace>

Gecode::Driver::ExtractStepOption< BaseSpace >::ExtractStepOption | ( | const Options & | opt | ) |

inline

Constructor that extracts the step value.

Definition at line 765 of file driver.hh.

## ExtractStepOption() [2/2]

template<class BaseSpace>

Gecode::Driver::ExtractStepOption< BaseSpace >::ExtractStepOption | ( | BaseSpace & | e | ) |

inline

Constructor used for cloning.

Definition at line 768 of file driver.hh.

The documentation for this class was generated from the following file:

- gecode/driver.hh